For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/member/surfer‑actions

get

Get surfer actions for a member

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
memberidanyOptional
startintegerOptionalDefault: 0
countintegerOptionalDefault: 50
Responses
200

success

successbooleanOptionalExample: true
get/api/member/surfer-actions
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'memberid' => '3',
		'start' => 0,
		'count' => 100
	);

$request = array(
	'method' => 'GET',
	'path' => 'member/surfer-actions',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "actions": [
    {
      "surfer_action_id": "3",
      "identid": "4",
      "loginid": "0",
      "networkid": "0",
      "session": "4184eb9f9064c7b773c8dfd159505af4",
      "time": "1565382563",
      "type": "18",
      "extra1": "1",
      "extra2": "0",
      "details": {
        "campaignid": {
          "campaignid": null,
          "loginid": null,
          "name": null,
          "description": null
        },
        "programid": {
          "programid": null,
          "program": null,
          "type": null,
          "name": null,
          "deleted": null,
          "hidden": null
        },
        "siteid": {
          "siteid": "1",
          "site": "member_a",
          "name": "Membership Site A",
          "type": "0",
          "deleted": "0",
          "hidden": "0"
        },
        "tourid": {
          "tourid": "1",
          "tour": "MAIN",
          "name": "Default Tour",
          "siteid": "1",
          "url": "https://www.google.com",
          "linkdomain": "root.nats4.com",
          "description": "",
          "hidden": "0",
          "deleted": "0"
        }
      },
      "campaignid": "0",
      "programid": "0",
      "siteid": "1",
      "tourid": "1",
      "optionid": "0",
      "adtoolid": "0",
      "subid1": "0",
      "subid2": "0",
      "billerid": "0",
      "countryid": "000",
      "promotionalid": "0",
      "type_nice": "Manual Add",
      "description_details": {
        "description": "",
        "extra": [
          {
            "field": "status",
            "value": "Active"
          },
          {
            "field": "trial",
            "value": "No"
          }
        ]
      }
    }
  ],
  "total_count": 1,
  "session": "4184eb9f9064c7b773c8dfd159505af4"
}

Last updated

Was this helpful?